Ticket #42168

gtk3.22 : default radio button not active (Pillage or load) when there is a choice

Open Date: 2021-05-04 16:10 Last Update: 2022-05-07 17:37

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

I tried to pillage a tile with several choices -> a popup appears , with radiobuttons , and a decent default selection

But the default choice does not work, i need to click on something else, then reclick on the default in order to get it work.

Same thing happens for loading unit on boat when there are several boats (sometime allied ones)

Ticket History (3/13 Histories)

2021-05-04 16:10 Updated by: alain_bkr
  • New Ticket "gtk3.22 : default radio button not active (Pillage or load) when there is a choice" created
2021-05-17 13:40 Updated by: cazfi
Comment

Split transport load part -> #42303

2021-05-17 13:47 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5 (closed)
2021-05-30 12:22 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed
2022-05-07 17:27 Updated by: alain_bkr
Comment

the patches are applied in all branches so this ticket should be closed ?

2022-05-07 17:29 Updated by: alain_bkr
2022-05-07 17:34 Updated by: alain_bkr
Comment

1/ Milestone was set "2.6.5-closed", and osdn did not allow me to add comments, so i changed it to 3.1.0-beta1 in order to add my comments below

2/ Maybe this ticket should be closed, as i guess all patches are already applied in all branches

If it is not the case, please just push the patches so we have those fixes available in all branches (also in master), and one less ticket to consider :)

2022-05-07 17:35 Updated by: cazfi
Comment

Reply To alain_bkr

the patches are applied in all branches so this ticket should be closed ?

It is: "Status: Closed"

Have been since 2.6.5, though you now changed it to a future version again.

2022-05-07 17:37 Updated by: cazfi

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login